package org.wso2.carbon.device.mgt.ios.payload.beans;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(
        value = "APNConfiguration",
        description = "This class carries all information related APN Configuration."
)
public class APNConfiguration {

    @ApiModelProperty(
            name = "configurationName",
            value = "The ID given to the application when it is stored in the EMM database",
            required = true
    )
    private String configurationName;
    private AuthenticationType authenticationType;
    @ApiModelProperty(
            name = "username",
            value = "Username.",
            required = true
    )
    private String username;
    @ApiModelProperty(
            name = "password",
            value = "Password of the user.",
            required = true
    )
    private String password;
    @ApiModelProperty(
            name = "proxyServer",
            value = "VPN proxy server.",
            required = true
    )
    private String proxyServer;
    @ApiModelProperty(
            name = "proxyPort",
            value = "VPN proxy port.",
            required = true
    )
    private Integer proxyPort;

    public String getConfigurationName() {
        return configurationName;
    }

    public void setConfigurationName(String configurationName) {
        this.configurationName = configurationName;
    }

    public AuthenticationType getAuthenticationType() {
        return authenticationType;
    }

    public void setAuthenticationType(AuthenticationType authenticationType) {
        this.authenticationType = authenticationType;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getProxyServer() {
        return proxyServer;
    }

    public void setProxyServer(String proxyServer) {
        this.proxyServer = proxyServer;
    }

    public Integer getProxyPort() {
        return proxyPort;
    }

    public void setProxyPort(Integer proxyPort) {
        this.proxyPort = proxyPort;
    }
}
